// UsrPicNoteQuery.cpp : implementation file
//

#include "stdafx.h"
#include "ex30a.h"
#include "UsrPicNoteQuery.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CUsrPicNoteQuery

IMPLEMENT_DYNAMIC(CUsrPicNoteQuery, CDaoRecordset)

CUsrPicNoteQuery::CUsrPicNoteQuery(CDaoDatabase* pdb)
	: CDaoRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CUsrPicNoteQuery)
	m_lPictureNumber = 0;
	m_nFields = 1;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
	m_nParams = 4;
	m_strUsr = _T("");
	m_strPsw = _T("");
	m_lBkID = 0;
	m_lPagNum = 0;

}


CString CUsrPicNoteQuery::GetDefaultDBName()
{
	return _T("E:\\Programación Enero 98\\Proyectos\\InternetServer\\ITBLibrary.mdb");
}

CString CUsrPicNoteQuery::GetDefaultSQL()
{
	return _T("[QUsrPicNote]");
}

void CUsrPicNoteQuery::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CUsrPicNoteQuery)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Long(pFX, _T("[PictureNumber]"), m_lPictureNumber);
	//}}AFX_FIELD_MAP
	// This data source is a query which contains parameters.  Note
	//  that these lines are placed outside of the ClassWizard comments,
	//  since ClassWizard can not currently browse or edit query parameters.
	//  You will have to modify these fields by hand if the parameters in your
	//  data source change.
	// You must set the recordset's parameter member variables to values before
	//  the recordset is opened.
	pFX->SetFieldType(CDaoFieldExchange::param);
	DFX_Text(pFX, _T("Usr"), m_strUsr);
	DFX_Text(pFX, _T("Psw"), m_strPsw);
	DFX_Long(pFX, _T("BkID"), m_lBkID);
	DFX_Long(pFX, _T("PagNum"), m_lPagNum);

}

/////////////////////////////////////////////////////////////////////////////
// CUsrPicNoteQuery diagnostics

#ifdef _DEBUG
void CUsrPicNoteQuery::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void CUsrPicNoteQuery::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG
